---
replicaCount: {{ secrets.ex_book_list_api.env[secrets_ex_book_list_api_env]['helm']['replicaCount']|default(1) }}

image:
  repository: "{{ secrets.ex_book_list_api.env[secrets_ex_book_list_api_env]['helm']['image']['repository']|default(helm_service_name) }}"
  pullPolicy: "{{ secrets.ex_book_list_api.env[secrets_ex_book_list_api_env]['helm']['image']['pullPolicy']|default('IfNotPresent') }}"
  tag: "{{ helm_image_tag[secrets_ex_book_list_api_env] }}"

nameOverride: "{{ helm_service_name }}"
fullnameOverride: "{{ helm_service_name }}"

volumeMounts:
  - name: "services-{{ helm_service_name }}-secrets"
    mountPath: /secrets
    readOnly: true

volumes:
  - name: "services-{{ helm_service_name }}-secrets"
    secret:
      secretName: "services-{{ helm_service_name }}-secrets"

podRecreate: {{ secrets.ex_book_list_api.env[secrets_ex_book_list_api_env]['helm']['podRecreate'] }}

{% if secrets_ex_book_list_api_env == 'k3s' %}
containers:
  - name: book-list-db
    image: postgres:14-alpine
    imagePullPolicy: Always
    env:
      - name: POSTGRES_PASSWORD
        value: 2vQU45haQCnDS8sO
      - name: POSTGRES_USER
        value: book-list
      - name: POSTGRES_DB
        value: book-list
{% endif -%}

secret:
  enabled: true
  data:
    local.env.yaml: {{ helm_secret_data | string | b64encode }}
